> For the complete documentation index, see [llms.txt](https://docs.shalomempire.com/about-us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shalomempire.com/about-us/medshare/walletconnect.md).

# WalletConnect

## Introduction

![WalletConnect](/files/-LvmJDcJTKPNfvQ5Z6zc)

**WalletConnect** is an open protocol to communicate securely between ***Wallets*** and **Dapps** (Web3 Apps). The protocol establishes a remote connection between two apps and/or devices using a Bridge server to relay payloads. These payloads are symmetrically encrypted through a shared key between the two peers. The connection is initiated by one peer displaying a **QR Code** or deep link with a standard WalletConnect URI and is established when the counter-party approves this connection request. It also includes an optional Push server to allow Native applications to notify the user of incoming payloads for establishes connections.

## Getting Started <a href="#getting-started" id="getting-started"></a>

![MedShare | WalletConnect | Mobile with a Crypto Wallet](/files/-LvmJXmuNvjWVLK0NOkU)

1. Point the camera of your mobile with a Crypto Wallet WalletConnect ready and choose the Wallet of your choice.
2. We suggest having MetaMask for Mobile on your phone and through the MetaMask App browser go to MedShare.

## Demo video

{% embed url="<https://www.youtube.com/watch?v=kI6UiqudBng>" %}

These are some of the features:

1. Connect and disconnect
2. Approve / Reject / Kill session
3. Approve and reject ethereum transactions `eth_sign` / `personal_sign` / `eth_sendTransaction`
4. Approve and reject binance dex orders `bnb_sign`
5. Sign Transactions `trust_sign` (full documentation [here](https://developer.trustwallet.com/wallet-connect/dapp))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shalomempire.com/about-us/medshare/walletconnect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
